org.eclipse.eef.properties.ui.legacy.internal.eef2legacy

## Class LegacyTabbedPropertySheetPageContributor

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.eef2legacy.LegacyTabbedPropertySheetPageContributor

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ITabbedPropertySheetPageContributor

    public class LegacyTabbedPropertySheetPageContributor
    extends java.lang.Object
    implements org.eclipse.ui.views.properties.tabbed.ITabbedPropertySheetPageContributor

Wraps an `IEEFTabbedPropertySheetPageContributor` to a `ITabbedPropertySheetPageContributor`.

### Constructor Summary

Constructors
Constructor and Description
`LegacyTabbedPropertySheetPageContributor(IEEFTabbedPropertySheetPageContributor eefTabbedPropertySheetPageContributor)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getContributorId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyTabbedPropertySheetPageContributor

    public LegacyTabbedPropertySheetPageContributor(IEEFTabbedPropertySheetPageContributor eefTabbedPropertySheetPageContributor)

The constructor.

Parameters:
  `eefTabbedPropertySheetPageContributor` - EEF tabbed property sheet page contributor

### Method Detail

#### getContributorId

    public java.lang.String getContributorId()

Specified by:
  `getContributorId` in interface `org.eclipse.ui.views.properties.tabbed.ITabbedPropertySheetPageContributor`
See Also:
  `ITabbedPropertySheetPageContributor.getContributorId()`